6.0.0-git
2019-03-19

[#12608] Missing required argument to Getquotaroot
Summary Missing required argument to Getquotaroot
Queue IMP
Queue Version 6.1.4
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2013-08-24 (2033 days ago)
Due
Updated 2013-12-17 (1918 days ago)
Assigned 2013-08-24 (2033 days ago)
Resolved 2013-09-10 (2016 days ago)
Milestone
Patch No

History
2013-12-17 11:36:42 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 40c5246d43e69f09d4adc02786816602069fb735
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Sep 10 09:47:09 2013 -0600

     [mms] Don't attempt to get quota information from non-IMAP 
mailboxes (Bug #12608).

  imp/docs/CHANGES     |    4 +++-
  imp/lib/Quota/Ui.php |    7 +++++++
  imp/package.xml      |    6 ++++--
  3 files changed, 14 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/40c5246d43e69f09d4adc02786816602069fb735
2013-09-10 15:48:51 Michael Slusarz Comment #8
Assigned to Michael Slusarz
State ⇒ Resolved
Version ⇒ 6.1.4
Reply to this comment
6.1.5.
2013-09-10 15:47:56 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit f686341e9172e5413d6f20d84a4327ab8d781621
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Sep 10 09:47:09 2013 -0600

     [mms] Don't attempt to get quota information from non-IMAP 
mailboxes (Bug #12608).

  imp/docs/CHANGES     |    4 +++-
  imp/lib/Quota/Ui.php |    7 +++++++
  imp/package.xml      |    6 ++++--
  3 files changed, 14 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/f686341e9172e5413d6f20d84a4327ab8d781621
2013-09-09 17:36:18 Michael Slusarz Comment #6 Reply to this comment
Still waiting for someone to provide an IMAP log.
2013-09-06 09:29:19 asa (at) isac (dot) gov (dot) in Comment #5 Reply to this comment
I am also seeing this error in my logs.

Sep 06 2013 10:10:00 ERR: HORDE [imp] IMAP error reported by server. 
Missing required argument to Getquotaroot [pid 6872 on line 566 of 
"/var/www/horde/imp/lib/Imap.php"]
Sep 06 2013 10:10:00 ERR: HORDE [imp] Unable to retrieve quota [pid 
6872 on line 47 of "/var/www/horde/imp/lib/Quota/Imap.php"]

Only thing to add is, I have some mailboxes shared with me having no 
quota set.
2013-08-25 18:44:27 Michael Slusarz Comment #4 Reply to this comment
2013-08-24T15:32:11+02:00 ERR: HORDE [imp] Der E-Mail-Server hat
einen IMAP-Fehler gemeldet. Missing required argument to Getquotaroot
[pid 10147 on line 573 of
"/usr/share/pear/www/horde/imp/lib/Imap.php"]
I have no idea where the text of this error is being generated.  The 
IMAP server?  Need an IMAP log in that case.
2013-08-24 23:55:39 Thomas Jarosch Comment #3 Reply to this comment

[Show Quoted Text - 17 lines]
yes, I use the stock 'advanced' config which features quotas.

What I meant to say is that I don't have a limit set for my specific user.
Still the error message appears in the log.

2013-08-24 23:20:37 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment

[Show Quoted Text - 10 lines]
The only way to reach this code is if you have quota configured in 
backends.local.php.  See IMP_Quota_Ui:

         if (!$injector->getInstance('IMP_Imap')->config->quota) {
             return false;
         }
2013-08-24 13:49:26 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Missing required argument to Getquotaroot
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Just seen this in the horde.log. The error message is in German
though all it says is "The IMAP server reported an error".

2013-08-24T15:32:11+02:00 ERR: HORDE [imp] Der E-Mail-Server hat einen 
IMAP-Fehler gemeldet. Missing required argument to Getquotaroot [pid 
10147 on line 573 of "/usr/share/pear/www/horde/imp/lib/Imap.php"]
2013-08-24T15:32:11+02:00 ERR: HORDE [imp] Speicherplatz-Kontingent 
konnte nicht gelesen werden [pid 10147 on line 47 of 
"/usr/share/pear/www/horde/imp/lib/Quota/Imap.php"


I don't have a quota set for my user. The "Missing required argument 
to Getquotaroot" part sounds fishy.

Saved Queries